#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <fcntl.h>
#include <unistd.h>

#include <sys/types.h>
#include <sys/stat.h>

#include <netinet/in.h>

#include <linux/logdev.h>

#include "dump_log.h"

int main (int argc, char **argv)
{
	char *name = "/dev/logdev";
	int fd;
	char buf[BUFSIZ];
	int i;
	int ch;

	if (argc > 1) {
		name = argv[1];
	}

	if ((fd = open_logdev(name,O_WRONLY|O_NONBLOCK))<0) {
		perror("open_logdev");
		exit(-1);
	}

	do {
		for (i = 0; i < BUFSIZ-1; i++) {
			if ((ch = getchar()) < 0)
				break;
			buf[i] = ch;
		}
		buf[i] = 0;
		logdev_print(fd,"%s",buf);
	} while (ch >= 0);

	exit(0);
	return 0;
}
